#include "happy.h"
#include<bits/stdc++.h>
using namespace std;
int a[300001];
int get(int s)
{
    int i=s;
    int ans=0;
    while(i>=1){
        i-=i&(-i);
        ans+=a[i];
    }
    return ans;
}
void add(int s,int n)
{
    int i=s;
    while(i<=maxv){
        a[i]+=n;
        i+=i&(-i);
    }
}
vector<long long> happy(int n,int q, 
vector<int> u,vector<int> v,vector<int> h, 
vector<int> t,vector<int> l,vector<int> r){
    vector<int> ans;
    for(int i=0;i<300001;i++) a[i]=0;
    bool b[n+1]={};
    int c[n+1]={}
    for(int i=1;i<=n;i++){
        c[i]=c[i-1]^h[i-1];
    }
    for(int i=0;i<q;i++){
        if(t[i]==1){
            add(l[i],1);
            b[l[i]]=1;
        }
        else{
            add(l[i],-1);
            b[l[i]]=0;
        }
        for(int i=1;i<=n;i++){
            if(b[i]==0) continue;
            int j=i;
        }
    }
}
